Bug 1061055 - neutron-dhcp-agent dead
Summary: neutron-dhcp-agent dead
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: openstack-neutron
Version: unspecified
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Pádraig Brady
QA Contact: Nir Magnezi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-04 10:15 UTC by yfried
Modified: 2019-09-10 14:09 UTC (History)
3 users (show)

Fixed In Version: openstack-neutron-2014.1-0.4.b2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-06 13:55:54 UTC


Attachments (Terms of Use)

Description yfried 2014-02-04 10:15:19 UTC
Description of problem:
neutron-dhcp-agent dead. Unable to start service

Traceback (most recent call last):
  File "/usr/bin/neutron-dhcp-agent", line 6, in <module>
    from neutron.agent.dhcp_agent import main
  File "/usr/lib/python2.6/site-packages/neutron/agent/dhcp_agent.py", line 25, in <module>
    from neutron.agent.linux import dhcp
  File "/usr/lib/python2.6/site-packages/neutron/agent/linux/dhcp.py", line 295
    LOG.warning(_('FAILED VERSION REQUIREMENT FOR DNSMASQ. '
      ^
IndentationError: expected an indented block

File "/usr/lib/python2.6/site-packages/neutron/agent/linux/dhcp.py", line 295
the lines are missing indentation 

Version-Release number of selected component (if applicable):
python-neutron-2014.1-0.3.b2.el6.noarch

How reproducible:
/usr/bin/python /usr/bin/neutron-dhcp-agent --log-file /var/log/neutron/dhcp-agent.log --config-file /usr/share/neutron/neutron-dist.conf --config-file /etc/neutron/neutron.conf --config-file /etc/neutron/dhcp_agent.ini

Steps to Reproduce:
1. yum install python-neutron-2014.1-0.3.b2.el6.noarch -y
2. vim /usr/lib/python2.6/site-packages/neutron/agent/linux/dhcp.py
3. see that line 295 is missing indentation

Comment 1 Pádraig Brady 2014-02-04 10:22:52 UTC
The patch to avoid the dnsmasq warning was mangled.
https://github.com/redhat-openstack/quantum/commit/d46ad1dc2

I fixed this up with:
https://github.com/redhat-openstack/quantum/commit/85a3b3a1a

Comment 3 Nir Magnezi 2014-02-04 16:50:22 UTC
Verified NVR: openstack-neutron-2014.1-0.4.b2.el6.noarch

This issue was verified.
yet, found 2 other bugs that prevent neutron-dhcp-agent from functioning:

https://bugzilla.redhat.com/show_bug.cgi?id=1061349
https://bugzilla.redhat.com/show_bug.cgi?id=1061356


Note You need to log in before you can comment on or make changes to this bug.